SCSI_GET_DEVICE_FLAG(9)

NAME
scsi_get_device_flags - get device specific flags from the dynamic device list.

SYNOPSIS

int scsi_get_device_flags(struct scsi_device * sdev, const unsigned char * vendor, const unsigned char * model);

ARGUMENTS

sdev
    scsi_device to get flags for

vendor
    vendor name

model
    model name

DESCRIPTION

Search the global scsi_dev_info_list (specified by list zero) for an entry matching vendor and model, if found, return the matching flags value, else return the host or global default settings. Called during scan time.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT